Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world
Class Explosion

    java.lang.Object
      net.minecraft.world.Explosion

    public class Explosion

extends Object

Field Summary
`List` | `affectedBlockPositions` A list of ChunkPositions of blocks affected by this explosion
`Entity` | `exploder`
`float` | `explosionSize`
`double` | `explosionX`
`double` | `explosionY`
`double` | `explosionZ`
`boolean` | `isFlaming` whether or not the explosion sets fire to blocks around it
`boolean` | `isSmoking` whether or not this explosion spawns smoke particles

Constructor Summary
`Explosion(World par1World, Entity par2Entity, double par3, double par5, double par7, float par9)`

Method Summary
`void` | `doExplosionA()` Does the first part of the explosion (destroy blocks)
`void` | `doExplosionB(boolean par1)` Does the second part of the explosion (sound, particles, drop spawn)
`Map` | `func_77277_b()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isFlaming

    public boolean isFlaming

  whether or not the explosion sets fire to blocks around it

### isSmoking

    public boolean isSmoking

  whether or not this explosion spawns smoke particles

### explosionX

    public double explosionX

### explosionY

    public double explosionY

### explosionZ

    public double explosionZ

### exploder

    public Entity exploder

### explosionSize

    public float explosionSize

### affectedBlockPositions

    public List affectedBlockPositions

  A list of ChunkPositions of blocks affected by this explosion

Constructor Detail

### Explosion

    public Explosion(World par1World,
                     Entity par2Entity,
                     double par3,
                     double par5,
                     double par7,
                     float par9)

Method Detail

### doExplosionA

    public void doExplosionA()

  Does the first part of the explosion (destroy blocks)

### doExplosionB

    public void doExplosionB(boolean par1)

  Does the second part of the explosion (sound, particles, drop spawn)

### func_77277_b

    public Map func_77277_b()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD